=== debian/changelog ===
tillitis-tkey-device-signer (1.0.2-2) unstable; urgency=medium

  * Bump debian/* copyright years.
  * Pin to clang/llvm 19 adding clang-tidy patch.
  * Make package team-maintained by pkg-security.
  * Add Static-Built-Using.
  * salsa-ci: Build with custom tkey-libs apt.  Build rdep tkey-ssh-agent.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 03 Feb 2025 13:35:23 +0100

tillitis-tkey-device-signer (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #1087429)

 -- Simon Josefsson <simon@josefsson.org>  Wed, 13 Nov 2024 12:51:16 +0100
