=== debian/control ===
Source: tillitis-tkey-device-signer
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 clang-19,
 clang-tidy-19 <!nocheck>,
 lld-19,
 llvm-19,
 tillitis-tkey-libs,
Standards-Version: 4.7.0
Section: libs
Homepage: https://github.com/tillitis/tkey-device-signer
Vcs-Browser: https://salsa.debian.org/debian/tillitis-tkey-device-signer
Vcs-Git: https://salsa.debian.org/debian/tillitis-tkey-device-signer.git
Rules-Requires-Root: no

Package: tillitis-tkey-device-signer
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Static-Built-Using: tillitis-tkey-libs (= 0.1.2-2)
Description: Tillitis TKey Signer device application
 Tillitis TKey Signer
 .
 The TKey `signer` device application is an ed25519 signing tool. It
 can sign messages up to 4 kByte. It is, for instance, used by the
 [tkey-ssh-agent](https://github.com/tillitis/tkey-ssh-agent) for SSH
 authentication and by
 [tkey-sign](https://github.com/tillitis/tkey-sign-cli) for doing
 digital signatures of files.
 .
 This package contains the device signer application.  Normally this
 is only useful as a build dependency for other applications that
 embed the device application, for loading onto the device.
